Xalan-Java 2.7.1: Class XNull

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.objects
Class XNull

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.objects.XObject
                  |
                  +--org.apache.xpath.axes.NodeSequence
                        |
                        +--org.apache.xpath.objects.XNodeSet
                              |
                              +--org.apache.xpath.objects.XNull

public class XNull
extends XNodeSet

This class represents an XPath null object, and is capable of converting the null to other types, such as a string.

See Also:
  Serialized Form
Usage:

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

Constructor Summary
`XNull()` Create an XObject.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell what kind of class this is.
`java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.
`double` | `num()` Cast result object to a number.
`int` | `rtf(XPathContext support)` Cast result object to a result tree fragment.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class org.apache.xpath.objects.XNodeSet
`appendToFsb, boolWithSideEffects, compare, dispatchCharactersEvents, getFresh, getNumberFromNode, getStringFromNode, greaterThan, greaterThanOrEqual, iter, iterRaw, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, object, release, xstr`

Methods inherited from class org.apache.xpath.axes.NodeSequence
`allowDetachToRelease, clone, cloneWithReset, detach, fixupVariables, getAnalysisBits, getAxis, getContainedIter, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getLength, getRoot, getWhatToShow, hasCache, isDocOrdered, isFresh, isMutable, item, nextNode, previousNode, reset, runTo, setCurrentPos, setItem, setIter, setRoot, setShouldCacheNodes`

Methods inherited from class org.apache.xpath.objects.XObject
`callVisitors, castToType, create, create, deepEquals, destruct, execute, rtf, rtree, rtree, toString`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNull

    public XNull()

  Create an XObject.

Method Detail

### getType

    public int getType()

  Tell what kind of class this is.
  Returns:
    type CLASS_NULL
  Overrides:
    getType in class XNodeSet

### getTypeString

    public java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.
  Returns:
    type string "#CLASS_NULL"
  Overrides:
    getTypeString in class XNodeSet

### num

    public double num()

  Cast result object to a number.
  Returns:
    0.0
  Overrides:
    num in class XNodeSet

### bool

    public boolean bool()

  Cast result object to a boolean.
  Returns:
    false
  Overrides:
    bool in class XNodeSet

### str

    public java.lang.String str()

  Cast result object to a string.
  Returns:
    empty string ""
  Overrides:
    str in class XNodeSet

### rtf

    public int rtf(XPathContext support)

  Cast result object to a result tree fragment.
  Parameters:
    `support` - XPath context to use for the conversion
  Returns:
    The object as a result tree fragment.
  Overrides:
    rtf in class XObject

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.
  Parameters:
    `obj2` - Object to compare this to
  Returns:
    True if the given object is of type CLASS_NULL
  Overrides:
    equals in class XNodeSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.